Skip to main content
POST
/
payouts
/
{payout}
/
login-link
Magic link that logs in the employee and redirects to the payout page
curl --request POST \
  --url https://{host}/api/v1/payouts/{payout}/login-link \
  --header 'API-key: <api-key>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "send_email": true
}
'
{
  "login_url": "<string>",
  "expires_at": "<string>"
}

Authorizations

Authorization
string
header
required

Sanctum personal access token (access_tokens / partner API settings).

API-key
string
header
required

UUID API key stored for the partner user.

Path Parameters

payout
integer
required

The payout ID

Body

application/json
send_email
boolean

Response

Login URL created

login_url
string
required
expires_at
string
required